#!/bin/sh

MIACLISUB=DiskLogx86
MSMLIBDIR=/opt/MegaRAID/MegaCli
HRNLIBDIR=/opt/hitachi/hrn/lib
SNVLIBDIR=/opt/hitachi/snv/lib

LIBSYSFS=libsysfs.so.2.0.2

unset LD_LIBRARY_PATH_APPEND

if [ "`uname -m`" == "x86_64" ]; then
	MIACLISUB=DiskLogx64
fi

if [ -x ${MSMLIBDIR}/${LIBSYSFS} ]; then
	LD_LIBRARY_PATH_APPEND="${MSMLIBDIR}"
elif [ -x ${HRNLIBDIR}/${LIBSYSFS} ]; then
	LD_LIBRARY_PATH_APPEND="${HRNLIBDIR}"
elif [ -x ${SNVLIBDIR}/${LIBSYSFS} ]; then
	LD_LIBRARY_PATH_APPEND="${SNVLIBDIR}"
else
	LD_LIBRARY_PATH_APPEND="${LOG_BIN_DIR}/MegaRAID/${MIACLISUB}"
fi

if [ -z ${LD_LIBRARY_PATH} ]; then
	echo -n "${LD_LIBRARY_PATH_APPEND}"
else
	echo -n "${LD_LIBRARY_PATH}:${LD_LIBRARY_PATH_APPEND}"
fi

exit 0
